<!--CREATE ADMIN FORM-->
<form name="adminForm" novalidate ng-submit="vm.create(adminForm.$valid, admin)">
    <div class="modal-header">
        <h3>Add new Admin</h3>
    </div>
    <div class="modal-body">
        <!-- EMAIL -->
        <div class="form-group">
            <label>Email</label>
            <input type="email" name="email" validate-email class="form-control" placeholder="Enter email" ng-model="admin.email"
                   minlength="6"
                   required>
            <ng-messages for="adminForm.email.$error" role="alert">
                <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
            </ng-messages>
        </div>

        <!--PASSWORD-->
        <div class="form-group">
            <label>Password</label>
            <input type="password" name="password" id="password"
                   minlength="6" required maxlength="15"
                   ng-model="admin.password" class="form-control" placeholder="Enter Password">
            <ng-messages for="adminForm.password.$error" role="alert">
                <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
            </ng-messages>
        </div>

        <!--REPEAT PASSWORD-->
        <div class="form-group">
            <label>Retype Password</label>
            <input type="password" name="verifyPassword" ng-model="admin.verifyPassword"
                   id="verifyPassword" class="form-control" placeholder="Retype your password"
                   compare-to="admin.password">
            <ng-messages for="adminForm.verifyPassword.$error" role="alert">
                <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
                <div ng-message="compareTo" ng-if="submitted">Passwords are not compared!</div>
            </ng-messages>
        </div>

        <!-- ROLES -->
        <div class="form-group">
            <label>Role</label>
            <select class="form-control input-md" required
                    name="role" id="role"
                    ng-options="key as value.type for (key , value) in vm.roles"
                    ng-value="select"
                    ng-model="admin.role"
                    ></select>
            <ng-messages for="adminForm.role.$error" role="alert">
                <ng-messages-include ng-if="submitted" src="error-messages">...</ng-messages-include>
            </ng-messages>
        </div>
    </div>
    <div class="modal-footer">
        <button class="btn btn-primary" type="submit">Add</button>
        <button class="btn btn-warning" type="button" ng-click="cancel()">Cancel</button>
    </div>
</form>
<!--/CREATE ADMIN FORM-->

<!--error messages template-->
<script type="text/ng-template" id="error-messages">
    <div ng-message="required">This field is required!</div>
    <div ng-message="minlength">This field is too short!</div>
    <div ng-message="email">Email is not correct!</div>
    <div ng-message="password">Password required!</div>
</script>